Core - Retrieve an MCP server
curl --get 'https://api.orq.ai/v2/mcp-servers/01JQ0K5R8N2ZC7X4M9T3V6HWBD' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.mcpServers.retrieve({
id: '01JQ0K5R8N2ZC7X4M9T3V6HWBD',
});
for (const tool of result.mcpServer.tools) {
console.log(tool.name, tool.status);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.mcp_servers.retrieve(id="01JQ0K5R8N2ZC7X4M9T3V6HWBD")
for tool in result.mcp_server.tools:
print(tool.name, tool.status)
{
"mcp_server": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
}MCP Servers
Retrieve an MCP server
Retrieves the details of an existing MCP server by its unique ID.
GET
/
v2
/
mcp-servers
/
{id}
Core - Retrieve an MCP server
curl --get 'https://api.orq.ai/v2/mcp-servers/01JQ0K5R8N2ZC7X4M9T3V6HWBD' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.mcpServers.retrieve({
id: '01JQ0K5R8N2ZC7X4M9T3V6HWBD',
});
for (const tool of result.mcpServer.tools) {
console.log(tool.name, tool.status);
}
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.mcp_servers.retrieve(id="01JQ0K5R8N2ZC7X4M9T3V6HWBD")
for tool in result.mcp_server.tools:
print(tool.name, tool.status)
{
"mcp_server": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
}Was this page helpful?
⌘I